org.jbpm.marshalling.impl

## Class ProtobufProcessMarshaller

- java.lang.Object
- - org.jbpm.marshalling.impl.ProtobufProcessMarshaller

- All Implemented Interfaces:
    org.drools.core.marshalling.impl.ProcessMarshaller

      public class ProtobufProcessMarshaller
      extends Object
      implements org.drools.core.marshalling.impl.ProcessMarshaller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtobufProcessMarshaller()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
    `static JBPMMessages.Variable` | `marshallVariable(org.drools.core.marshalling.impl.MarshallerWriteContext context, String name, Object value)`
    `static JBPMMessages.VariableContainer` | `marshallVariablesContainer(org.drools.core.marshalling.impl.MarshallerWriteContext context, Map<String,Object> variables)`
    `static JBPMMessages.Variable` | `marshallVariablesMap(org.drools.core.marshalling.impl.MarshallerWriteContext context, Map<String,Object> variables)`
    `List<org.kie.api.runtime.process.ProcessInstance>` | `readProcessInstances(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
    `void` | `readProcessTimers(org.drools.core.marshalling.impl.MarshallerReaderContext inCtx)`
    `static TimerInstance` | `readTimer(org.drools.core.marshalling.impl.MarshallerReaderContext context, JBPMMessages.ProcessTimer.TimerInstance _timer)`
    `org.drools.core.process.instance.WorkItem` | `readWorkItem(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
    `static org.kie.api.runtime.process.WorkItem` | `readWorkItem(org.drools.core.marshalling.impl.MarshallerReaderContext context, JBPMMessages.WorkItem _workItem)`
    `static org.kie.api.runtime.process.WorkItem` | `readWorkItem(org.drools.core.marshalling.impl.MarshallerReaderContext context, JBPMMessages.WorkItem _workItem, boolean includeVariables)`
    `void` | `readWorkItems(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
    `static void` | `setWorkItemVarsPersistence(boolean turnOn)`
    `static Map<String,Object>` | `unmarshallVariableContainerValue(org.drools.core.marshalling.impl.MarshallerReaderContext context, JBPMMessages.VariableContainer _variableContiner)`
    `static Object` | `unmarshallVariableValue(org.drools.core.marshalling.impl.MarshallerReaderContext context, JBPMMessages.Variable _variable)`
    `void` | `writeProcessInstances(org.drools.core.marshalling.impl.MarshallerWriteContext context)`
    `void` | `writeProcessTimers(org.drools.core.marshalling.impl.MarshallerWriteContext outCtx)`
    `static JBPMMessages.ProcessTimer.TimerInstance` | `writeTimer(org.drools.core.marshalling.impl.MarshallerWriteContext context, TimerInstance timer)`
    `static JBPMMessages.WorkItem` | `writeWorkItem(org.drools.core.marshalling.impl.MarshallerWriteContext context, org.kie.api.runtime.process.WorkItem workItem)`
    `void` | `writeWorkItem(org.drools.core.marshalling.impl.MarshallerWriteContext context, org.drools.core.process.instance.WorkItem workItem)`
    `static JBPMMessages.WorkItem` | `writeWorkItem(org.drools.core.marshalling.impl.MarshallerWriteContext context, org.kie.api.runtime.process.WorkItem workItem, boolean includeVariables)`
    `void` | `writeWorkItems(org.drools.core.marshalling.impl.MarshallerWriteContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtobufProcessMarshaller

          public ProtobufProcessMarshaller()

  - ### Method Detail

    - #### setWorkItemVarsPersistence

          public static void setWorkItemVarsPersistence(boolean turnOn)

    - #### writeProcessInstances

          public void writeProcessInstances(org.drools.core.marshalling.impl.MarshallerWriteContext context)
                                     throws IOException

      Specified by:
        `writeProcessInstances` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
      Throws:
        `IOException`

    - #### writeProcessTimers

          public void writeProcessTimers(org.drools.core.marshalling.impl.MarshallerWriteContext outCtx)
                                  throws IOException

      Specified by:
        `writeProcessTimers` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
      Throws:
        `IOException`

    - #### writeWorkItems

          public void writeWorkItems(org.drools.core.marshalling.impl.MarshallerWriteContext context)
                              throws IOException

      Specified by:
        `writeWorkItems` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
      Throws:
        `IOException`

    - #### writeWorkItem

          public static JBPMMessages.WorkItem writeWorkItem(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                                            org.kie.api.runtime.process.WorkItem workItem)
                                                     throws IOException

      Throws:
        `IOException`

    - #### readProcessInstances

          public List<org.kie.api.runtime.process.ProcessInstance> readProcessInstances(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                                                                 throws IOException

      Specified by:
        `readProcessInstances` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
      Throws:
        `IOException`

    - #### readWorkItems

          public void readWorkItems(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                             throws IOException

      Specified by:
        `readWorkItems` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
      Throws:
        `IOException`

    - #### readProcessTimers

          public void readProcessTimers(org.drools.core.marshalling.impl.MarshallerReaderContext inCtx)
                                 throws IOException,
                                        ClassNotFoundException

      Specified by:
        `readProcessTimers` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeTimer

          public static JBPMMessages.ProcessTimer.TimerInstance writeTimer(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                                                           TimerInstance timer)

    - #### readTimer

          public static TimerInstance readTimer(org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                JBPMMessages.ProcessTimer.TimerInstance _timer)

    - #### writeWorkItem

          public static JBPMMessages.WorkItem writeWorkItem(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                                            org.kie.api.runtime.process.WorkItem workItem,
                                                            boolean includeVariables)
                                                     throws IOException

      Throws:
        `IOException`

    - #### readWorkItem

          public static org.kie.api.runtime.process.WorkItem readWorkItem(org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                                          JBPMMessages.WorkItem _workItem)
                                                                   throws IOException

      Throws:
        `IOException`

    - #### readWorkItem

          public static org.kie.api.runtime.process.WorkItem readWorkItem(org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                                          JBPMMessages.WorkItem _workItem,
                                                                          boolean includeVariables)
                                                                   throws IOException

      Throws:
        `IOException`

    - #### marshallVariable

          public static JBPMMessages.Variable marshallVariable(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                                               String name,
                                                               Object value)
                                                        throws IOException

      Throws:
        `IOException`

    - #### marshallVariablesMap

          public static JBPMMessages.Variable marshallVariablesMap(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                                                   Map<String,Object> variables)
                                                            throws IOException

      Throws:
        `IOException`

    - #### marshallVariablesContainer

          public static JBPMMessages.VariableContainer marshallVariablesContainer(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                                                                  Map<String,Object> variables)
                                                                           throws IOException

      Throws:
        `IOException`

    - #### unmarshallVariableValue

          public static Object unmarshallVariableValue(org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                       JBPMMessages.Variable _variable)
                                                throws IOException,
                                                       ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### unmarshallVariableContainerValue

          public static Map<String,Object> unmarshallVariableContainerValue(org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                                            JBPMMessages.VariableContainer _variableContiner)
                                                                     throws IOException,
                                                                            ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### init

          public void init(org.drools.core.marshalling.impl.MarshallerReaderContext context)

      Specified by:
        `init` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`

    - #### writeWorkItem

          public void writeWorkItem(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                    org.drools.core.process.instance.WorkItem workItem)

      Specified by:
        `writeWorkItem` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`

    - #### readWorkItem

          public org.drools.core.process.instance.WorkItem readWorkItem(org.drools.core.marshalling.impl.MarshallerReaderContext context)

      Specified by:
        `readWorkItem` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.